### Hierarchy

- CookieJar

## Index

### Methods

- getCookieString
- getCookies
- setCookie

## Methods

### getCookieString

- getCookieString(uri: string | Url): string

- - Defined in node_modules/@types/request/index.d.ts:392

  #### Parameters

  - ##### uri: string | Url

  #### Returns string

### getCookies

- getCookies(uri: string | Url): Cookie[]

- - Defined in node_modules/@types/request/index.d.ts:393

  #### Parameters

  - ##### uri: string | Url

  #### Returns Cookie[]

### setCookie

- setCookie(cookieOrStr: Cookie | string, uri: string | Url, options?: tough.CookieJar.SetCookieOptions): void

- - Defined in node_modules/@types/request/index.d.ts:391

  #### Parameters

  - ##### cookieOrStr: Cookie | string

  - ##### uri: string | Url

  - ##### Optional options: tough.CookieJar.SetCookieOptions

  #### Returns void

Generated using TypeDoc